POST
/v1/mgmt/tenant/create

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

name?string
id?string
selfProvisioningDomains?array<string>
string
customAttributes?object

Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.

Example{ "attribute-key": "attribute-value" }
authType?string
disabled?boolean
enforceSSO?boolean
enforceSSOExclusions?array<string>
string
federatedAppIds?array<string>
string
parent?string
roleInheritance?string

Create a new tenant, using a valid management key.

This API endpoint will create a new tenant utilizing a valid management key.

Creation of a new tenant can set the name, id, and selfProvisioningDomains. The id and selfProvisioningDomains are not mandatory. The id will be autogenerated if not provided. The response will always include the tenantId.

Next Steps

See also

curl -X POST "https://api.descope.com/v1/mgmt/tenant/create" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string"}
export interface Response {id?: string}
Was this helpful?